// 通过平台通道进行通信，都是异步的
import 'dart:async';
// services库提供与底层通讯的方法
import 'package:flutter/services.dart';

class Blflutterplugin {
  // 定义一个通道方法。注意他的参数通常为字符串，且必须跟原生代码的一致，否则无法通信
  static const MethodChannel _channel =
      const MethodChannel('blflutterplugin');

  // 定义platformVersion方法，此方法用来提供对外服务，须异步处理
  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
}
